#ifndef BGM_IS_INCLUDED
#define BGM_IS_INCLUDED
/* { */

// Carmen Overture (CarmenOv)
// 5994  MainTheme
// 11874 MainTheme
// 13758 ... ... ... ...
// 14496 
// 16068 Crescend
// 18840 MainTheme
// 24738 Second Theme
// 29412 Second Theme (Up)
// 35172 MainTheme
// 40482
// 41352 Climax
// 42726 Last tone

#define CARMEN_MAINTHEME_1_1      2
#define CARMEN_MAINTHEME_1_2      4
#define CARMEN_MAINTHEME_1_3      6
#define CARMEN_MAINTHEME_1_LAST   8
#define CARMEN_MAINTHEME_2_LAST  16
#define CARMEN_MAINTHEME_3_BEGIN 25
#define CARMEN_SECONDTHEME_1     33
#define CARMEN_SECONDTHEME_CLIMBING 46
#define CARMEN_SECONDTHEME_2     47
#define CARMEN_MAINTHEME_4_BEGIN 58
#define CARMEN_MAINTHEME_4_CLIMBING 64
#define CARMEN_GOING_CLIMAX      65
#define CARMEN_CLIMAX            66
#define CARMEN_LASTTONE          67

void StartBGM(void);
void EndBGM(void);
int GetBGMCounter(void);
int GetBGMClock(void);
int IsBGMPlaying(void);

/* } */
#endif
